package com.steering.pss.plnsaleord.ordAmCal.model;

import java.util.List;

/**
 * 合同量转换参数实体类
 * @author xiaohai
 * date 2015-11-18
 */
@SuppressWarnings("serial")
public class InOrdParamEntity implements java.io.Serializable {
    /**
     * 订货计量单位
     */
    private String orderUnit = "";
    /**
     * 订货量
     */
    private double orderQty = 0;
    /**
     * 保总长单位
     */
    private String totlengthUnit = "";
    /**
     * 保总长
     */
    private double totlength = 0;
    /**
     * 保米长
     */
    private double totlengthM = 0;
    /**
     * 长度上限（m）
     */
    private double lengthMax = 0;
    /**
     * 长度下限（m）
     */
    private double lengthMin = 0;
    /**
     * 外径（mm）
     */
    private double outdiameter = 0;
    /**
     * 壁厚（mm）
     */
    private double wallthick = 0;
    /**
     * 交货标准壁厚公差上限（mm）
     */
    private double stdWallthickMax = 0;
    /**
     * 交货标准壁厚公差下限（mm）
     */
    private double stdWallthickMin = 0;
    /**
     * 内控壁厚公差上限（mm）
     */
    private double nkWallthickMax = 0;
    /**
     * 内控壁厚公差下限（mm）
     */
    private double nkWallthickMin = 0;
    /**
     * 内控外径公差上限（mm）
     */
    private double nkAimthickMax = 0;
    /**
     * 内控外径公差下限（mm）
     */
    private double nkAimthickMin = 0;
    /**
     * 内控外径公差上限（mm）
     */
    public double getNkAimthickMax() {
        return nkAimthickMax;
    }
    /**
     * 内控外径公差上限（mm）
     */
    public void setNkAimthickMax(double nkAimthickMax) {
        this.nkAimthickMax = nkAimthickMax;
    }
    /**
     * 内控外径公差下限（mm）
     */
    public double getNkAimthickMin() {
        return nkAimthickMin;
    }
    /**
     * 内控外径公差下限（mm）
     */
    public void setNkAimthickMin(double nkAimthickMin) {
        this.nkAimthickMin = nkAimthickMin;
    }
    /**
     * 成品使用公差
     */
    private double endlenSpecstd = 0;

    /**
     * 成品使用公差
     */
    public double getEndlenSpecstd() {
        return endlenSpecstd;
    }

    /**
     * 成品使用公差
     */
    public void setEndlenSpecstd(double endlenSpecstd) {
        this.endlenSpecstd = endlenSpecstd;
    }
    /**
     * 最大分切数
     */
    private double cutMax = 0;

    /**
     * 最大分切数
     */
    public double getCutMax() {
        return cutMax;
    }

    /**
     * 最大分切数
     */
    public void setCutMax(double cutMax) {
        this.cutMax = cutMax;
    }
    /**
     * 管端系数
     */
    private double tubeEndRatio = 0;

    /**
     * 管端系数
     */
    public double getTubeEndRatio() {
        return tubeEndRatio;
    }

    /**
     * 管端系数
     */
    public void setTubeEndRatio(double tubeEndRatio) {
        this.tubeEndRatio = tubeEndRatio;
    }
    /**
     * 机组壁厚公差带（mm）
     */
    private double plineWallthick = 0;
    /**
     * 轧管产线长度下限（m）
     */
    private double plineLenMin = 0;
    /**
     * 轧管产线长度上限（m）
     */
    private double plineLenMax = 0;
    
    /**
     * 计重方式（0 - 理重 / 1 - 实重 / -1 - 按长度交货）
     */
    private int weightType = -1;
    /**
     * 交货量差上限
     */
    private double delvryRangeMax = 0;
    /**
     * 交货量差下限
     */
    private double delvryRangeMin = 0;
    /**
     * 交货量差方式（百分比 - 1/绝对值 - 2）
     */
    private int delvryRangeTpe = 1;
    /**
     * 接箍单重（kg）
     */
    private double weightJg = 0;
    /**
     * 接箍测量J值（mm）
     */
    private double checkJVal = 0;
    /**
     * 扣型描述
     */
    private String modelDesc = "";
    /**
     * 镦拔扩切头尾加长（mm）
     */
    private double addLengthDbk = 0;
    /**
     * 墩粗影响长度（mm）
     */
    private double addLengthDc = 0;
    /**
     * 镦拔扩烧损(%)
     */
    private double burnoutDbk = 0;
    /**
     * 探伤盲区切长(mm)
     */
    private double inspectLen = 0;
    /**
     * 投料率
     */
    private double putRate = 1;
    /**
     * 轧管规格外径（mm）
     */
    private double diameterZg = 0;
    /**
     * 轧管规格壁厚（mm）
     */
    private double heightZg = 0;
    /**
     * 是否短尺随炉
     */
    private boolean shrtStove = false;
    /**
     * 单倍尺长（m）
     */
    private double sigllen = 0;
    /**
     * 轧管工序烧损（%）
     */
    private double burnoutRate = 0;
    /**
     * 坯料断面（mm）
     */
    private List<Double> diameterPl = null;
    /**
     * 轧管工序切头加切尾和（mm）
     */
    private double cutHeadEnd = 0;
    /**
     * 环形炉最长（mm）
     */
    private double lengthMaxRing = 0;
    /**
     * 冷床长度(m)
     */
    private double lengthColdbed = 0;
    /**
     * 短尺最短(m)
     */
    private double footmin = 0;
    
    /**
     * 轧管产出倍尺数
     */
    private String outMultD = "";
    /**
     * 脱管机长度下限值--轧管工序
     */
    private Double lengthMinTube = 0.0;
    /**
     * 脱管机长度上限值--轧管工序
     */
    private Double lengthMaxTube = 0.0;
    /**
     * 机组壁厚公差带能力%
     */
    private Double toleranceZone = 0.0;
    /**
     * 芯棒直径(mm)
     */
    private Double diameterMandrel = 0.0;

    /**
     * 孔型
     */
    private String passMame = "";

    /**
     * 芯棒直径(mm)
     */
    public Double getDiameterMandrel() {
        return diameterMandrel;
    }

    /**
     * 芯棒直径(mm)
     */
    public void setDiameterMandrel(Double diameterMandrel) {
        this.diameterMandrel = diameterMandrel;
    }

    /**
     * 孔型
     */
    public String getPassMame() {
        return passMame;
    }

    /**
     * 孔型
     */
    public void setPassMame(String passMame) {
        this.passMame = passMame;
    }

    /**
     * 脱管机长度下限值--轧管工序
     */
    public Double getLengthMinTube() {
        return lengthMinTube;
    }

    /**
     * 脱管机长度下限值--轧管工序
     */
    public void setLengthMinTube(Double lengthMinTube) {
        this.lengthMinTube = lengthMinTube;
    }

    /**
     * 脱管机长度上限值--轧管工序
     */
    public Double getLengthMaxTube() {
        return lengthMaxTube;
    }

    /**
     * 脱管机长度上限值--轧管工序
     */
    public void setLengthMaxTube(Double lengthMaxTube) {
        this.lengthMaxTube = lengthMaxTube;
    }

    /**
     * 机组壁厚公差带能力%
     */
    public Double getToleranceZone() {
        return toleranceZone;
    }

    /**
     * 机组壁厚公差带能力%
     */
    public void setToleranceZone(Double toleranceZone) {
        this.toleranceZone = toleranceZone;
    }
    
    
    /**
     * 交货行PK
     */
    private String ordLnDlyPk = "";
    /**
     * 交货行PK
     */
    public String getOrdLnDlyPk() {
        return ordLnDlyPk;
    }
    /**
     * 交货行PK
     */
    public void setOrdLnDlyPk(String ordLnDlyPk) {
        this.ordLnDlyPk = ordLnDlyPk;
    }

    /**
     * 平均长度大于
     */
    private Double avgLenMin = 0.0;
    /**
     * 平均长度大于
     */
    public Double getAvgLenMin() {
        return avgLenMin;
    }

    /**
     * 平均长度大于
     */
    public void setAvgLenMin(Double avgLenMin) {
        this.avgLenMin = avgLenMin;
    }

    /**
     * 轧管产出倍尺数
     */
    public String getOutMultD() {
        return outMultD;
    }
    /**
     * 轧管产出倍尺数
     */
    public void setOutMultD(String outMultD) {
        this.outMultD = outMultD;
    }
	/**
     * 订货计量单位
     * @return the orderUnit
     */
    public String getOrderUnit() {
        return orderUnit;
    }
    /**
     * 订货计量单位
     * @param orderUnit the orderUnit to set
     */
    public void setOrderUnit(String orderUnit) {
        this.orderUnit = orderUnit;
    }
    /**
     * 订货量
     * @return the orderQty
     */
    public double getOrderQty() {
        return orderQty;
    }
    /**
     * 订货量
     * @param orderQty the orderQty to set
     */
    public void setOrderQty(double orderQty) {
        this.orderQty = orderQty;
    }
    /**
     * 保总长单位
     * @return the totlengthUnit
     */
    public String getTotlengthUnit() {
        return totlengthUnit;
    }
    /**
     * 保总长单位
     * @param totlengthUnit the totlengthUnit to set
     */
    public void setTotlengthUnit(String totlengthUnit) {
        this.totlengthUnit = totlengthUnit;
    }
    /**
     * 保总长
     * @return the totlength
     */
    public double getTotlength() {
        return totlength;
    }
    /**
     * 保总长
     * @param totlength the totlength to set
     */
    public void setTotlength(double totlength) {
        this.totlength = totlength;
    }

    public double getTotlengthM() {
        return totlengthM;
    }

    public void setTotlengthM(double totlengthM) {
        this.totlengthM = totlengthM;
    }

    /**
     * 长度上限（m）
     * @return the lengthMax
     */
    public double getLengthMax() {
        return lengthMax;
    }
    /**
     * 长度上限（m）
     * @param lengthMax the lengthMax to set
     */
    public void setLengthMax(double lengthMax) {
        this.lengthMax = lengthMax;
    }
    /**
     * 长度下限（m）
     * @return the lengthMin
     */
    public double getLengthMin() {
        return lengthMin;
    }
    /**
     * 长度下限（m）
     * @param lengthMin the lengthMin to set
     */
    public void setLengthMin(double lengthMin) {
        this.lengthMin = lengthMin;
    }
    /**
     * 外径（mm）
     * @return the outdiameter
     */
    public double getOutdiameter() {
        return outdiameter;
    }
    /**
     * 外径（mm）
     * @param outdiameter the outdiameter to set
     */
    public void setOutdiameter(double outdiameter) {
        this.outdiameter = outdiameter;
    }
    /**
     * 壁厚（mm）
     * @return the wallthick
     */
    public double getWallthick() {
        return wallthick;
    }
    /**
     * 壁厚（mm）
     * @param wallthick the wallthick to set
     */
    public void setWallthick(double wallthick) {
        this.wallthick = wallthick;
    }
    /**
     * 交货标准壁厚公差上限（mm）
     * @return the stdWallthickMax
     */
    public double getStdWallthickMax() {
        return stdWallthickMax;
    }
    /**
     * 交货标准壁厚公差上限（mm）
     * @param stdWallthickMax the stdWallthickMax to set
     */
    public void setStdWallthickMax(double stdWallthickMax) {
        this.stdWallthickMax = stdWallthickMax;
    }
    /**
     * 交货标准壁厚公差下限（mm）
     * @return the stdWallthickMin
     */
    public double getStdWallthickMin() {
        return stdWallthickMin;
    }
    /**
     * 交货标准壁厚公差下限（mm）
     * @param stdWallthickMin the stdWallthickMin to set
     */
    public void setStdWallthickMin(double stdWallthickMin) {
        this.stdWallthickMin = stdWallthickMin;
    }
    /**
     * 内控壁厚公差上限（mm）
     * @return the nkWallthickMax
     */
    public double getNkWallthickMax() {
        return nkWallthickMax;
    }
    /**
     * 内控壁厚公差上限（mm）
     * @param nkWallthickMax the nkWallthickMax to set
     */
    public void setNkWallthickMax(double nkWallthickMax) {
        this.nkWallthickMax = nkWallthickMax;
    }
    /**
     * 内控壁厚公差下限（mm）
     * @return the nkWallthickMin
     */
    public double getNkWallthickMin() {
        return nkWallthickMin;
    }
    /**
     * 内控壁厚公差下限（mm）
     * @param nkWallthickMin the nkWallthickMin to set
     */
    public void setNkWallthickMin(double nkWallthickMin) {
        this.nkWallthickMin = nkWallthickMin;
    }
    /**
     * 机组壁厚公差带（mm）
     * @return the plineWallthick
     */
    public double getPlineWallthick() {
        return plineWallthick;
    }
    /**
     * 机组壁厚公差带（mm）
     * @param plineWallthick the plineWallthick to set
     */
    public void setPlineWallthick(double plineWallthick) {
        this.plineWallthick = plineWallthick;
    }

    /**
     * 轧管产线长度下限（m）
     * @return the plineLenMin
     */
    public double getPlineLenMin() {
        return plineLenMin;
    }
    /**
     * 轧管产线长度下限（m）
     * @param plineLenMin the plineLenMin to set
     */
    public void setPlineLenMin(double plineLenMin) {
        this.plineLenMin = plineLenMin;
    }
    /**
     * 轧管产线长度上限（m）
     * @return the plineWallthick
     */
    public double getPlineLenMax() {
        return plineLenMax;
    }
    /**
     * 轧管产线长度上限（m）
     * @param plineLenMax the plineLenMax to set
     */
    public void setPlineLenMax(double plineLenMax) {
        this.plineLenMax = plineLenMax;
    }

    /**
     * 计重方式（0 - 理重 / 1 - 实重 / -1 - 按长度交货）
     * @return the weightType
     */
    public int getWeightType() {
        return weightType;
    }
    /**
     * 计重方式（0 - 理重 / 1 - 实重 / -1 - 按长度交货）
     * @param weightType the weightType to set
     */
    public void setWeightType(int weightType) {
        this.weightType = weightType;
    }
    /**
     * 交货量差上限
     * @return the delvryRangeMax
     */
    public double getDelvryRangeMax() {
        return delvryRangeMax;
    }
    /**
     * 交货量差上限
     * @param delvryRangeMax the delvryRangeMax to set
     */
    public void setDelvryRangeMax(double delvryRangeMax) {
        this.delvryRangeMax = delvryRangeMax;
    }
    /**
     * 交货量差下限
     * @return the delvryRangeMin
     */
    public double getDelvryRangeMin() {
        return delvryRangeMin;
    }
    /**
     * 交货量差下限
     * @param delvryRangeMin the delvryRangeMin to set
     */
    public void setDelvryRangeMin(double delvryRangeMin) {
        this.delvryRangeMin = delvryRangeMin;
    }
    /**
     * 交货量差方式（百分比 - 1/绝对值 - 2）
     * @return the delvryRangeTpe
     */
    public int getDelvryRangeTpe() {
        return delvryRangeTpe;
    }
    /**
     * 交货量差方式（百分比 - 1/绝对值 - 2）
     * @param delvryRangeTpe the delvryRangeTpe to set
     */
    public void setDelvryRangeTpe(int delvryRangeTpe) {
        this.delvryRangeTpe = delvryRangeTpe;
    }
    /**
     * 接箍单重（kg）
     * @return the weightJg
     */
    public double getWeightJg() {
        return weightJg;
    }
    /**
     * 接箍单重（kg）
     * @param weightJg the weightJg to set
     */
    public void setWeightJg(double weightJg) {
        this.weightJg = weightJg;
    }
    /**
     * 接箍测量J值（mm）
     * @return the checkJVal
     */
    public double getCheckJVal() {
        return checkJVal;
    }
    /**
     * 接箍测量J值（mm）
     * @param checkJVal the checkJVal to set
     */
    public void setCheckJVal(double checkJVal) {
        this.checkJVal = checkJVal;
    }
    /**
     * 镦拔扩切头尾加长（mm）
     * @return the addLengthDbk
     */
    public double getAddLengthDbk() {
        return addLengthDbk;
    }
    /**
     * 镦拔扩切头尾加长（mm）
     * @param addLengthDbk the addLengthDbk to set
     */
    public void setAddLengthDbk(double addLengthDbk) {
        this.addLengthDbk = addLengthDbk;
    }
    /**
     * 墩粗影响长度（mm）
     * @return the addLengthDc
     */
    public double getAddLengthDc() {
        return addLengthDc;
    }
    /**
     * 墩粗影响长度（mm）
     * @param addLengthDc the addLengthDc to set
     */
    public void setAddLengthDc(double addLengthDc) {
        this.addLengthDc = addLengthDc;
    }
    /**
     * 投料率
     * @return the putRate
     */
    public double getPutRate() {
        return putRate;
    }
    /**
     * 投料率
     * @param putRate the putRate to set
     */
    public void setPutRate(double putRate) {
        this.putRate = putRate;
    }
    /**
     * 轧管规格外径（mm）
     * @return the diameterZg
     */
    public double getDiameterZg() {
        return diameterZg;
    }
    /**
     * 轧管规格外径（mm）
     * @param diameterZg the diameterZg to set
     */
    public void setDiameterZg(double diameterZg) {
        this.diameterZg = diameterZg;
    }
    /**
     * 轧管规格壁厚（mm）
     * @return the heightZg
     */
    public double getHeightZg() {
        return heightZg;
    }
    /**
     * 轧管规格壁厚（mm）
     * @param heightZg the heightZg to set
     */
    public void setHeightZg(double heightZg) {
        this.heightZg = heightZg;
    }
    /**
     * 是否短尺随炉
     * @return the shrtStove
     */
    public boolean isShrtStove() {
        return shrtStove;
    }
    /**
     * 是否短尺随炉
     * @param shrtStove the shrtStove to set
     */
    public void setShrtStove(boolean shrtStove) {
        this.shrtStove = shrtStove;
    }
    /**
     * 单倍尺长（m）
     * @return the sigllen
     */
    public double getSigllen() {
        return sigllen;
    }
    /**
     * 单倍尺长（m）
     * @param sigllen the sigllen to set
     */
    public void setSigllen(double sigllen) {
        this.sigllen = sigllen;
    }
    /**
     * 轧管工序烧损（%）
     * @return the burnoutRate
     */
    public double getBurnoutRate() {
        return burnoutRate;
    }
    /**
     * 轧管工序烧损（%）
     * @param burnoutRate the burnoutRate to set
     */
    public void setBurnoutRate(double burnoutRate) {
        this.burnoutRate = burnoutRate;
    }
    /**
     * 坯料断面（mm）
     * @return the diameterPl
     */
    public List<Double> getDiameterPl() {
        return diameterPl;
    }
    /**
     * 坯料断面（mm）
     * @param diameterPl the diameterPl to set
     */
    public void setDiameterPl(List<Double> diameterPl) {
        this.diameterPl = diameterPl;
    }
    /**
     * 轧管工序切头加切尾和（mm）
     * @return the cutHeadEnd
     */
    public double getCutHeadEnd() {
        return cutHeadEnd;
    }
    /**
     * 轧管工序切头加切尾和（mm）
     * @param cutHeadEnd the cutHeadEnd to set
     */
    public void setCutHeadEnd(double cutHeadEnd) {
        this.cutHeadEnd = cutHeadEnd;
    }
    /**
     * 环形炉最长（mm）
     * @return the lengthMaxRing
     */
    public double getLengthMaxRing() {
        return lengthMaxRing;
    }
    /**
     * 环形炉最长（mm）
     * @param lengthMaxRing the lengthMaxRing to set
     */
    public void setLengthMaxRing(double lengthMaxRing) {
        this.lengthMaxRing = lengthMaxRing;
    }
    /**
     * 冷床长度(m)
     * @return the lengthColdbed
     */
    public double getLengthColdbed() {
        return lengthColdbed;
    }
    /**
     * 冷床长度(m)
     * @param lengthColdbed the lengthColdbed to set
     */
    public void setLengthColdbed(double lengthColdbed) {
        this.lengthColdbed = lengthColdbed;
    }
    /**
     * 短尺最短(m)
     * @return the footmin
     */
    public double getFootmin() {
        return footmin;
    }
    /**
     * 短尺最短(m)
     * @param footmin the footmin to set
     */
    public void setFootmin(double footmin) {
        this.footmin = footmin;
    }
    /**
     * 扣型描述
     * @return the modelDesc
     */
    public String getModelDesc() {
        return modelDesc;
    }
    /**
     * 扣型描述
     * @param modelDesc the modelDesc to set
     */
    public void setModelDesc(String modelDesc) {
        this.modelDesc = modelDesc;
    }
    /**
     * 探伤盲区切长(mm)
     * @return the inspectLen
     */
    public double getInspectLen() {
        return inspectLen;
    }
    /**
     * 探伤盲区切长(mm)
     * @param inspectLen the inspectLen to set
     */
    public void setInspectLen(double inspectLen) {
        this.inspectLen = inspectLen;
    }
    /**
     * 镦拔扩烧损(%)
     * @return the burnoutDbk
     */
    public double getBurnoutDbk() {
        return burnoutDbk;
    }
    /**
     * 镦拔扩烧损(%)
     * @param burnoutDbk the burnoutDbk to set
     */
    public void setBurnoutDbk(double burnoutDbk) {
        this.burnoutDbk = burnoutDbk;
    }
    
    /**
     * 交货标准外径公差上限（mm）
     */
    private double outdOrdMax = 0;
    /**
     * 交货标准外径公差上限（mm）
     */
    public double getOutdOrdMax() {
		return outdOrdMax;
	}
    /**
     * 交货标准外径公差上限（mm）
     */
	public void setOutdOrdMax(double outdOrdMax) {
		this.outdOrdMax = outdOrdMax;
	}

	/**
     * 交货标准外径公差下限（mm）
     */
    private double outdOrdMin = 0;
    /**
     * 交货标准外径公差下限（mm）
     */
	public double getOutdOrdMin() {
		return outdOrdMin;
	}
	/**
     * 交货标准外径公差下限（mm）
     */
	public void setOutdOrdMin(double outdOrdMin) {
		this.outdOrdMin = outdOrdMin;
	}

    public String wholeBacklog;
    public String wholeBacklogDesc;

    public String getWholeBacklog() {
        return wholeBacklog;
    }

    public void setWholeBacklog(String wholeBacklog) {
        this.wholeBacklog = wholeBacklog;
    }

    public String getWholeBacklogDesc() {
        return wholeBacklogDesc;
    }

    public void setWholeBacklogDesc(String wholeBacklogDesc) {
        this.wholeBacklogDesc = wholeBacklogDesc;
    }

    public String desginKey;
    public String indexSeq;

    public String getDesginKey() {
        return desginKey;
    }

    public void setDesginKey(String desginKey) {
        this.desginKey = desginKey;
    }

    public String getIndexSeq() {
        return indexSeq;
    }

    public void setIndexSeq(String indexSeq) {
        this.indexSeq = indexSeq;
    }
}

